| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.ARB.WindowPos

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions

Description
All raw functions from the ARB_shadow extension, see http://www.opengl.org/registry/specs/ARB/shadow.txt.
Synopsis

glWindowPos2d :: GLdouble -> GLdouble -> IO ()
glWindowPos2f :: GLfloat -> GLfloat -> IO ()
glWindowPos2i :: GLint -> GLint -> IO ()
glWindowPos2s :: GLshort -> GLshort -> IO ()
glWindowPos2dv :: Ptr GLdouble -> IO ()
glWindowPos2fv :: Ptr GLfloat -> IO ()
glWindowPos2iv :: Ptr GLint -> IO ()
glWindowPos2sv :: Ptr GLshort -> IO ()
glWindowPos3d :: GLdouble -> GLdouble -> GLdouble -> IO ()
glWindowPos3f :: GLfloat -> GLfloat -> GLfloat -> IO ()
glWindowPos3i :: GLint -> GLint -> GLint -> IO ()
glWindowPos3s :: GLshort -> GLshort -> GLshort -> IO ()
glWindowPos3dv :: Ptr GLdouble -> IO ()
glWindowPos3fv :: Ptr GLfloat -> IO ()
glWindowPos3iv :: Ptr GLint -> IO ()
glWindowPos3sv :: Ptr GLshort -> IO ()

Functions

glWindowPos2d :: GLdouble -> GLdouble -> IO () | Source

glWindowPos2f :: GLfloat -> GLfloat -> IO () | Source

glWindowPos2i :: GLint -> GLint -> IO () | Source

glWindowPos2s :: GLshort -> GLshort -> IO () | Source

glWindowPos2dv :: Ptr GLdouble -> IO () | Source

glWindowPos2fv :: Ptr GLfloat -> IO () | Source

glWindowPos2iv :: Ptr GLint -> IO () | Source

glWindowPos2sv :: Ptr GLshort -> IO () | Source

glWindowPos3d :: GLdouble -> GLdouble -> GLdouble -> IO () | Source

glWindowPos3f :: GLfloat -> GLfloat -> GLfloat -> IO () | Source

glWindowPos3i :: GLint -> GLint -> GLint -> IO () | Source

glWindowPos3s :: GLshort -> GLshort -> GLshort -> IO () | Source

glWindowPos3dv :: Ptr GLdouble -> IO () | Source

glWindowPos3fv :: Ptr GLfloat -> IO () | Source

glWindowPos3iv :: Ptr GLint -> IO () | Source

glWindowPos3sv :: Ptr GLshort -> IO () | Source

Produced by Haddock version 2.4.2